## NAME

db.dropdb - Removes an existing database.

## KEYWORDS

database, attribute table, SQL

## SYNOPSIS

db.dropdb
db.dropdb --help
db.dropdb driver=name database=name [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

driver=name [required]
  Name of database driver
  Options: dbf, ogr, pg, sqlite
  Default: sqlite
database=name [required]
  Name of database

## DESCRIPTION

db.dropdb removes an existing database using given database driver. Currently only SQLite and PostgreSQL database drivers are supported.

## EXAMPLES

### Drop (delete) an existing database connected through SQLite driver

Note that the standard GRASS SQLite database is by default found in the user's current mapset. This example shows an out-of-mapset database removal:

    db.dropdb driver=sqlite database=/opt/sqlite.db

### Drop an existing database connected through PostgreSQL driver

    db.dropdb driver=pg database=grassdb

## TODO

Support other database drivers, too.

## SEE ALSO

db.createdb, db.describe, db.droptable, db.execute, db.login, db.tables

GRASS SQL interface

## AUTHORS

Radim Blazek, ITC-Irst, Trento, Italy
SQLite and PostgreSQL support by Martin Landa, Czech Technical University in Prague, Czech Republic

## SOURCE CODE

Available at: db.dropdb source code (history)

Latest change: Friday Aug 08 09:39:19 2025 in commit: ed72c71d8580e872cd6fd345c84a15c324764465

Main index | Database index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual